import { h } from "./hast-utils.js";
/**
 * The default renderers for {@link ./render-to-hast#renderToHast}
 *
 * @internal
 */
export const defaultRenderOptions = {
    pre({ children, metadata: { title: dataCodeTitle } }) {
        return h("pre", { dataCodeTitle }, children);
    },
    code({ children, metadata: { lang: dataLanguage, showLineNumbers: dataLineNumbers } }) {
        return h("code", { dataLanguage, dataLineNumbers }, children);
    },
    line({ children, index, metadata: { lineNumbers, lineNumbersStart } }) {
        const dataLineNumber = String(index + lineNumbersStart);
        const dataHighlighted = lineNumbers === null || lineNumbers === void 0 ? void 0 : lineNumbers.includes(index + 1);
        return h("span", { dataHighlighted, dataLineNumber }, children);
    },
    token({ style, children }) {
        return h("span", { style }, children);
    },
};
//# sourceMappingURL=default-render-options.js.map