/**
 * Copy of internal utils not exported by `shiki`.
 *
 * [shiki/src/utils.ts](https://github.com/shikijs/shiki/blob/a585c9d6860334a6233ff1c035a42d023e016400/packages/shiki/src/types.ts#L203-L242)
 */
export function groupBy(elements, keyGetter) {
    const map = new Map();
    for (const element of elements) {
        const key = keyGetter(element);
        if (map.has(key)) {
            const group = map.get(key);
            group === null || group === void 0 ? void 0 : group.push(element);
        }
        else {
            map.set(key, [element]);
        }
    }
    return map;
}
const htmlEscapes = {
    "&": "&amp;",
    "<": "&lt;",
    ">": "&gt;",
    '"': "&quot;",
    "'": "&#39;",
    // Svelty escapes
    "{": "&#123;",
    "}": "&#125;",
    "`": "&#96;",
};
export function escapeHtml(html) {
    return html
        .replace(/[&<>"'{}`]/g, (chr) => htmlEscapes[chr])
        .replace(/\\([trn])/g, "&#92;$1");
}
//# sourceMappingURL=utils.js.map